<mat-card>
    <form [formGroup]="formgroup" (ngSubmit)="submitform()">
    <div class="row">
            <div class="col-2">
                <mat-form-field appearance="fill">
                    <mat-label>คำนำหน้า</mat-label>
                    <mat-select [formControl]="formgroup.controls.title" required>
                      <!-- <mat-option value="">โปรดเลือก</mat-option> -->
                      <mat-option value="1">นาย</mat-option>
                      <mat-option value="2">นาง</mat-option>
                      <mat-option value="3">นางสาว</mat-option>
                      <mat-option value="4">อื่นๆ</mat-option>
                    </mat-select>
                    <mat-error *ngIf="formgroup.controls.title.hasError('required')">
                        Value has required.
                      </mat-error>
                  </mat-form-field>
            
            </div>
            <div class="col-5">
               
                <mat-form-field appearance="outline">
                    <mat-label>ชื่อไทย</mat-label>
                    <input matInput placeholder="ชื่อไทย" [formControl]="formgroup.controls.thainame" required>
                    <mat-error *ngIf="formgroup.controls.thainame.hasError('required')">
                        Value has required.
                      </mat-error>
                    <mat-hint>กรุณากรอกข้อมูลตัวอักษรภาษาไทยเท่านั้น</mat-hint>
                  </mat-form-field>
               
            </div>
            <div class="col-5">
                <mat-form-field appearance="outline">
                    <mat-label>นามสกุลไทย</mat-label>
                    <input matInput placeholder="นามสกุลไทย" [formControl]="formgroup.controls.thaisurname" required> 
                    <mat-error *ngIf="formgroup.controls.thaisurname.hasError('required')">
                        Value has required.
                      </mat-error>
                    <mat-hint>กรุณากรอกข้อมูลตัวอักษรภาษาไทยเท่านั้น</mat-hint>
                  </mat-form-field>
            
            </div>
       
        
    </div>

    <div class="row">
        <div class="col-12">
            
                <mat-form-field appearance="outline">
                    <mat-label>เลขบัตรประชาชน</mat-label>
                    <input matInput placeholder="เลขบัตรประชาชน" maxlength="13" type="number" [formControl]="formgroup.controls.idcard" required>
                    <mat-error *ngIf="formgroup.controls.idcard.hasError('required')">
                        Value has required.
                      </mat-error>
                 
                  </mat-form-field>
            
            
        </div>
    </div>

    <div class="row">
        <div class="col-10">
            <mat-form-field appearance="outline">
                <mat-label>รหัสหลังเลขบัตรประชาชน</mat-label>
                <input matInput placeholder="รหัสหลังเลขบัตรประชาชน" [formControl]="formgroup.controls.backidcard" required>
                <mat-error *ngIf="formgroup.controls.backidcard.hasError('required')">
                    Value has required.
                  </mat-error>
                
              </mat-form-field>
        
        </div>

         <div class="col-2"></div>

    </div>
   <div class="row">
    <div class="col-6">
        <label  > วันเดือนปีเกิดที่ปรากฎในบัตรประชาชน * </label> <br>
        <mat-radio-group  [formControl]="formgroup.controls.birthdatetype" required>
            
            <mat-radio-button value="1">มีวัน/เดือน/ปีเกิด</mat-radio-button>
            <mat-radio-button value="2">มีเฉพาะเดือนและปีเกิด</mat-radio-button>
            <mat-radio-button value="3">มีเฉพาะปีเกิด</mat-radio-button>
          </mat-radio-group>
          <mat-error *ngIf="formgroup.controls.birthdatetype.hasError('required')">
            Value has required.
          </mat-error>
    </div>
   </div>

   <div class="row">
    <div class="col-4">
        <mat-form-field appearance="outline">
            <mat-label>ปี</mat-label>
            
            <mat-select [formControl]="formgroup.controls.year" required>
              <!-- <mat-option value="">โปรดเลือก</mat-option> -->
              <mat-option value="1">2020</mat-option>
              <mat-option value="1">2021</mat-option>
              <mat-option value="1">2022</mat-option>
              <mat-option value="1">2023</mat-option>
              <mat-option value="1">2024</mat-option>
              <mat-option value="1">2025</mat-option>
              <mat-option value="1">2026</mat-option>
              <mat-option value="1">2027</mat-option>
              <mat-option value="1">2028</mat-option>
              <mat-option value="1">2029</mat-option>
              <mat-option value="1">2030</mat-option>
              <mat-option value="1">2031</mat-option>
              
            </mat-select>
            <mat-error *ngIf="formgroup.controls.year.hasError('required')">
                Value has required.
              </mat-error>
             
          </mat-form-field>
    
    </div>
    <div class="col-4">
        <mat-form-field appearance="outline">
            <mat-label>เดือน</mat-label>
            
            <mat-select [formControl]="formgroup.controls.month" required>
                <!-- <mat-option value="">โปรดเลือก</mat-option> -->
                <mat-option value="1">มกราคม</mat-option>
                <mat-option value="2">กุมภาพันธ์</mat-option>
                <mat-option value="3">มีนาคม</mat-option>
                <mat-option value="4">เมษายน</mat-option>
                <mat-option value="5">พฤษภาคม</mat-option>
                <mat-option value="6">กรกฎาคม</mat-option>
                <mat-option value="7">สิงหาคม</mat-option>
                <mat-option value="8">กันยายน</mat-option>
                <mat-option value="9">ตุลาคม</mat-option>
                <mat-option value="10">พฤษจิกายน</mat-option>
                <mat-option value="11">ธันวาคม</mat-option>
                <mat-option value="12">มีนาคม</mat-option>
            </mat-select>
            <mat-error *ngIf="formgroup.controls.month.hasError('required')">
                Value has required.
              </mat-error>
            
          </mat-form-field>
    
    </div>
    <div class="col-4">
        <mat-form-field appearance="outline">
            <mat-label>วัน</mat-label>
            <!-- <input matInput placeholder="Placeholder" [formControl]="day" required> -->
            <mat-select [formControl]="formgroup.controls.day" required>
                <!-- <mat-option value="">โปรดเลือก</mat-option> -->
                <mat-option value="1">1</mat-option>
                <mat-option value="2">2</mat-option>
                <mat-option value="3">3</mat-option>
                <mat-option value="4">4</mat-option>
                <mat-option value="5">5</mat-option>
                <mat-option value="6">6</mat-option>
                <mat-option value="7">7</mat-option>
                <mat-option value="8">8</mat-option>
                <mat-option value="9">9</mat-option>
                <mat-option value="10">10</mat-option>
                <mat-option value="11">11</mat-option>
                <mat-option value="12">12</mat-option>
                <mat-option value="12">13</mat-option>
                <mat-option value="12">14</mat-option>
                <mat-option value="12">15</mat-option>
                <mat-option value="12">16</mat-option>
                <mat-option value="12">17</mat-option>
                <mat-option value="12">18</mat-option>
                <mat-option value="12">19</mat-option>
                <mat-option value="12">20</mat-option>
                <mat-option value="12">21</mat-option>
                <mat-option value="12">22</mat-option>
                <mat-option value="12">23</mat-option>
                <mat-option value="12">24</mat-option>
                <mat-option value="12">25</mat-option>
                <mat-option value="12">26</mat-option>
                <mat-option value="12">27</mat-option>
                <mat-option value="12">28</mat-option>
                <mat-option value="12">29</mat-option>
                <mat-option value="12">30</mat-option>
                <mat-option value="12">31</mat-option>
            </mat-select>
            <mat-error *ngIf="formgroup.controls.day.hasError('required')">
                Value has required.
              </mat-error>
             
          </mat-form-field>
    
    </div>
   </div>

   <div class="row">
    <div class="col-12">
        <mat-form-field appearance="outline">
            <span matPrefix>+66 &nbsp;</span>
            <input  type="tel" maxlength="10" matInput placeholder="99-999-9999" [formControl]="formgroup.controls.telno" required>
            <mat-error *ngIf="formgroup.controls.telno.hasError('required')">
                Value has required.
              </mat-error>
             
          </mat-form-field>
    
    </div>
   </div>

   <div class="row">
    <div class="col-12">
        <mat-form-field appearance="outline">
             
            <input maxlength="50" matInput placeholder="อีเมล์ (ถ้ามี) เพียง 1 อีเมล์" [formControl]="formgroup.controls.email" >
            <mat-error *ngIf="formgroup.controls.email.hasError('email')">
                Please enter a valid email address
              </mat-error>
            
          </mat-form-field>
    
    </div>
   </div>

   <div class="row">
    <div class="col-12">
       <P style="font-size: 150%; color:red;text-align: center;">หากท่านได้รับสิทธิและมีการใช้สิทธิโครงการคนละครึ่ง ท่านจะไม่ได้รับสิทธิในการเข้าร่วมมาตรการช้อปดีมีคืน</P>
    
    </div>
   </div>

   <mat-card-footer>

    <section style="text-align: right;margin-bottom: 2%;margin-right: 2%;">
       
        <div class="example-button-row">
          <button style="margin-right:1%" mat-raised-button>ยกเลิก</button>
          <button type="submit"  mat-raised-button color="primary">ยืนยัน</button>
           
        </div>
      </section>
   </mat-card-footer>

</form>
</mat-card>